## org.codehaus.groovy.runtime.dgmimpl.arrays
Class CharacterArrayPutAtMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
                          org.codehaus.groovy.runtime.dgmimpl.arrays.CharacterArrayPutAtMetaMethod

All Implemented Interfaces:
  Cloneable

    public class CharacterArrayPutAtMetaMethod

extends ArrayPutAtMetaMethod

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
`INTEGER_CLASS, INTEGER_CLASS_ARR`

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
`CharacterArrayPutAtMetaMethod()`

Method Summary
`CallSite` `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`CachedClass` `getDeclaringClass()`
`Object` `invoke(Object object, Object[] args)`

Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
`getName, getReturnType`

Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
`getModifiers, normaliseIndex`

Methods inherited from class groovy.lang.MetaMethod
`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharacterArrayPutAtMetaMethod

    public CharacterArrayPutAtMetaMethod()

Method Detail

### getDeclaringClass

    public final CachedClass getDeclaringClass()

  Specified by:
    `getDeclaringClass` in class `MetaMethod`

### invoke

    public Object invoke(Object object,
                         Object[] args)

  Specified by:
    `invoke` in class `MetaMethod`

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site,
                                       MetaClassImpl metaClass,
                                       MetaMethod metaMethod,
                                       Class[] params,
                                       Object receiver,
                                       Object[] args)

  Specified by:
    `createPojoCallSite` in class `CallSiteAwareMetaMethod`

Copyright © 2003-2009 The Codehaus. All rights reserved.